package com.hzya.frame.seeyon.cbs8.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @Description cbs支付日志
 * @Author xiangerlin
 * @Date 2024/6/14 17:16
 **/
public class CbsLogEntity extends BaseEntity {
    //流程标题
    private String title;
    //请款主体
    private String pay_company;
    //收款人
    private String payee;
    //金额
    private String amount;
    //cbs申请单号
    private String cbs_apply_code;
    //日志表id
    private String id;
    //oa单据id
    private String oa_id;
    //oa单据号
    private String bill_code;
    //英文表名
    private String tab_name_en;
    //中文表名
    private String tab_name_ch;
    //支付状态
    private String pay_state;
    //支付信息
    private String message;
    //支付申请状态
    private String apply_state;
    //成功标记
    private String successed;

    public String getOa_id() {
        return oa_id;
    }

    public void setOa_id(String oa_id) {
        this.oa_id = oa_id;
    }

    public String getBill_code() {
        return bill_code;
    }

    public void setBill_code(String bill_code) {
        this.bill_code = bill_code;
    }

    public String getTab_name_en() {
        return tab_name_en;
    }

    public void setTab_name_en(String tab_name_en) {
        this.tab_name_en = tab_name_en;
    }

    public String getTab_name_ch() {
        return tab_name_ch;
    }

    public void setTab_name_ch(String tab_name_ch) {
        this.tab_name_ch = tab_name_ch;
    }

    public String getPay_state() {
        return pay_state;
    }

    public void setPay_state(String pay_state) {
        this.pay_state = pay_state;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getApply_state() {
        return apply_state;
    }

    public void setApply_state(String apply_state) {
        this.apply_state = apply_state;
    }

    public String getSuccessed() {
        return successed;
    }

    public void setSuccessed(String successed) {
        this.successed = successed;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPay_company() {
        return pay_company;
    }

    public void setPay_company(String pay_company) {
        this.pay_company = pay_company;
    }

    public String getPayee() {
        return payee;
    }

    public void setPayee(String payee) {
        this.payee = payee;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCbs_apply_code() {
        return cbs_apply_code;
    }

    public void setCbs_apply_code(String cbs_apply_code) {
        this.cbs_apply_code = cbs_apply_code;
    }
}
